# copyright: Huynh Duong Phuong Vi
# www.sketchupforyou.com
module S4U
	module S4u_toComponents
		require 'sketchup.rb'
		require 'extensions.rb'
		require 'langhandler.rb'
		NAME="s4u_tocomponents"
		Strings  = LanguageHandler.new(NAME + ".strings")
		TOOL=Strings["Components"]
		@ext = SketchupExtension.new(("s4u-" + TOOL),File.join(NAME,(NAME + "_loader")))
		@ext.copyright= 'Huynh Duong Phuong Vi'
		@ext.creator = 'Suforyou'
		@ext.version = '7.1.0'
		@ext.description = Strings["s4u toComponents allows convert Objects to components."]
		Sketchup.register_extension @ext, true
	end
end
